Subject: [bug#40601] [PATCH 04/28] guix-install.sh: Handle local binary tarball file.

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Sat, 23 May 2020 15:42:04 +0200

Vincent,

I've pushed the first three patches with some commit message 
tweaks.

Vincent Legoll 写道：
> * etc/guix-install.sh (REQUIRE): add realpath.
> (main): Handle local binary tarball file path passed as first 
> arg.

‘file name’, ‘argument’.

I'm OK with this change in general but it needs to be documented 
*somewhere*: in (guix)Binary Installation and/or a (new) --help 
message and/or an ‘Invocation:’ comment at the top of the script.

I notice you ran out of commit message energy halfway through the 
series :-)  While I've come to love Guix's discipline, I 
sympathise, but what's the plan?

Thanks,

T G-R